/*
Theme Name:   Liberty Digital Starter Theme
Theme URI:    https://generatepress.com
Description:  Liberty Digital Marketing starter theme (A GeneratePress child theme)
Author:       Jon DiPietro
Author URI:   https://libertydigital.net
Template:     generatepress
Version:      0.1
*/

:root {
	--headline-font: Libre Baskerville, sans-serif;
	--body-font: Avenir LT Pro, sans-serif;
	--gb-h6: clamp(0.8rem, -0.04vi + 0.81rem, 0.77rem);
	--gb-h5: clamp(0.8rem, -0.04vi + 0.81rem, 0.77rem);
	--gb-h4: clamp(1rem, 0.05vi + 0.99rem, 1.03rem);
	--gb-h3: clamp(1.25rem, 0.21vi + 1.21rem, 1.38rem);
	--gb-h2: clamp(1.56rem, 0.45vi + 1.47rem, 1.83rem);
	--gb-h1: clamp(1.95rem, 0.82vi + 1.79rem, 2.44rem);
	--gb-h-xl: clamp(2.44rem, 1.36vi + 2.17rem, 3.26rem);

/*BODY SIZE SCALE*/
	--body-xs: clamp(0.79rem, 0.13vi + 0.76rem, 0.87rem);
	--body-s: clamp(0.79rem, 0.13vi + 0.76rem, 0.87rem);
	--body-m: clamp(0.89rem, 0.25vi + 0.84rem, 1.04rem);
	--body-l: clamp(1rem, 0.42vi + 0.92rem, 1.25rem);
	--body-xl: clamp(1.13rem, 0.63vi + 1rem, 1.5rem);

/*FLUID PADDING & GAPS*/
	--padding-s: clamp(1.5rem, 3.75vw + 0.75rem, 3.75rem); /*L/R padding*/
	--padding-default: clamp(3rem, 3.333vw + 2.333rem, 5rem);
	--padding-l: clamp(6rem, 3.333vw + 5.333rem, 8rem);
	--space-m: clamp(1.25rem, 1.25vw + 1rem, 2rem);
	--space-l: clamp(1.875rem, 2.083vw + 1.458rem, 3.125rem);
	--grid-gap: clamp(1.25rem, 1.25vw + 1rem, 2rem);
	--content-gap: clamp(0.75rem, 0.75vw + 0.5rem, 1rem);
	--container-gap: clamp(3rem, 3.333vw + 2.333rem, 5rem);
	--radius: 6px;

/*GRID TEMPLATES*/
	--grid-1: repeat(1,minmax(0,1fr));
	--grid-2: repeat(2,minmax(0,1fr));
	--grid-3: repeat(3,minmax(0,1fr));
	--grid-4: repeat(4,minmax(0,1fr));
	--grid-5: repeat(5,minmax(0,1fr));
	
}

.stretch-link{
	position: relative;
}

.stretch-link a::after{
	content: '';
	position: absolute;
	inset: 0;
}

.stretch-link a:is(:focus-visible)::after{
	outline: 2px solid;
}

.stretch-link a:is(:hover, :focus){
	outline: none;
	
}